#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.1
visibility:           public
id:                   taffybar-4.0.1-7R5GzecJIQW38QSYWhYyu7
key:                  taffybar-4.0.1-7R5GzecJIQW38QSYWhYyu7
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  63018b0541ea036551655206a2e67c01
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.1-7R5GzecJIQW38QSYWhYyu7
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/atk-1.0
    /usr/include/freetype2 /usr/include/harfbuzz /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/cloudproviders
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include
    /usr/include/fribidi /usr/include/pixman-1 /usr/include/libpng16
    /usr/include/gio-unix-2.0 /usr/include/libmount /usr/include/blkid
    /usr/include/sysprof-6

depends:
    ConfigFile-1.1.4-FaMJhNe0stmD9JWIfLVzKH
    HStringTemplate-0.8.8-KNmHJlXbg7Y8wtwL5lo4Rv
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.2.1-7LyJDTguS534hsqA6ST8CG
    ansi-terminal-0.11.4-Km3e5mgTFu09fktXhLAiqN base-4.15.1.0
    broadcast-chan-0.2.1.2-4f1Mq5xfdHPClQCeqG8Qnr bytestring-0.10.12.1
    conduit-1.3.5-7CmbGMJgKQNFdVeAej5vCz containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv
    dbus-1.2.22-LkJ3JNN1neDAGnhmtpBqRO
    dbus-hslogger-0.1.0.1-KWgLwPTxeAaJs67MOj0cUY directory-1.3.6.2
    dyre-0.9.2-EyIDJ6YBEgJJNRqTesC8bs
    either-5.0.2-GTsvNw8fQoJLUCgnnnlDd1
    enclosed-exceptions-1.0.3-CVxJbmOj2Gd6BOqTzC26B0 filepath-1.4.2.1
    gi-cairo-1.0.29-EDs7CDMl7vdJDv7unDC680
    gi-cairo-connector-0.1.1-7jAID9Wmhyq4xnmcAw28u2
    gi-cairo-render-0.1.2-CR7AEezMIamG8xU6IMazI0
    gi-gdk-3.0.25-6e7RXvPNPJoCGn14PkhSrm
    gi-gdkpixbuf-2.0.31-5tRHOtf28Gs80J90CPnsxO
    gi-gdkx11-3.0.12-DMP4OxCn8DVD7iWfmlbPd
    gi-glib-2.0.29-Dv7jX7lpFbs6vNUenxMCEm
    gi-gtk-3.0.38-KHGWFbHfm4XJj8wXQovzqJ
    gi-gtk-hs-0.3.16-47kXa6euLq5czoNyFCLrZ
    gi-pango-1.0.29-6kJMwNsqQbZ7tSqoKm7rF
    gtk-sni-tray-0.1.8.1-lP50rsVUXoKzrlR7KBVVr
    gtk-strut-0.1.3.2-HQUNFbMTGEDAs6UcEYqISv
    haskell-gi-0.26.4-9whM2PDNAEgGc25DjsLyu7
    haskell-gi-base-0.26.4-CE4lu6s01NFEl72cOqded7
    hslogger-1.3.1.0-HrNv6dKFDOJAzbK6DqBzu9
    http-client-0.7.15-7zjTW98ou1PBSpK7BhVzzD
    http-client-tls-0.3.6.3-LkJ7u6XdVJBLGZLzjQ7Bbb
    http-conduit-2.3.8.3-8jEunWlcS5OGpDFfFSZx81
    http-types-0.12.3-FrKSsx6pz9MF9y2uuDPOPv
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.3-85YmVCfT47Z7hrGUe8KO44
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.20-4pVze0D35csFBJR3lFqyEo
    scotty-0.21-SGhDGdmIKWJbw49Dwq6px
    split-0.2.4-3LcuyMeDd2W1NC9UhfGSee
    status-notifier-item-0.3.1.0-83scqi2wNxu4KFnypJEavt stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-HXJFICW9bVdFkQpqhdfRI0
    tuple-0.3.0.2-E3Nl0LkSY10Dxp7jKxVCw7 unix-2.7.2.2
    utf8-string-1.0.2-EyOtDITVCEEKiI9snM6UJx
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-2m1VxDoqy2PERnPH9dBsNs
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-bQq7kzSpe4AfrDz4jjDq1

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

